package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.SchCollectorVersionFileApi;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.AddSchCollectorVersionFileDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.DeleteSchCollectorVersionFileDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.EditSchCollectorVersionFileDTO;
import com.docus.server.service.ISchCollectorVersionFileService;
import com.docus.server.vo.scheduling.management.schcollectorversionfile.SchCollectorVersionFileVO;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 采集器版本列表更新包管理 控制器类
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@RestController
public class SchCollectorVersionFileController implements SchCollectorVersionFileApi {
    @Resource
    private ISchCollectorVersionFileService iSchCollectorVersionFileService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchCollectorVersionFileVO findById(String id) {
        return iSchCollectorVersionFileService.findById(id);
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchCollectorVersionFileVO> search(SearchDTO searchDTO) {
        return iSchCollectorVersionFileService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addSchCollectorVersionFileDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(AddSchCollectorVersionFileDTO addSchCollectorVersionFileDTO) {
        return iSchCollectorVersionFileService.add(addSchCollectorVersionFileDTO);
    }

    /**
     * 编辑
     *
     * @param editSchCollectorVersionFileDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(EditSchCollectorVersionFileDTO editSchCollectorVersionFileDTO) {
        return iSchCollectorVersionFileService.edit(editSchCollectorVersionFileDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteSchCollectorVersionFileDTO 删除参数
     * @return 成功或失败
     */
    @Override
    public int delete(DeleteSchCollectorVersionFileDTO deleteSchCollectorVersionFileDTO) {
        return iSchCollectorVersionFileService.delete(deleteSchCollectorVersionFileDTO);
    }
}
