package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.SchCollectorConvert;
import com.docus.server.dto.scheduling.management.schcollector.AddSchCollectorDTO;
import com.docus.server.dto.scheduling.management.schcollector.DeleteSchCollectorDTO;
import com.docus.server.dto.scheduling.management.schcollector.EditSchCollectorDTO;
import com.docus.server.entity.scheduling.management.SchCollector;
import com.docus.server.infrastructure.dao.ISchCollectorDao;
import com.docus.server.service.ISchCollectorService;
import com.docus.server.vo.scheduling.management.schcollector.SchCollectorVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 采集器管理 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Service
public class SchCollectorServiceImpl implements ISchCollectorService {
    @Resource
    private ISchCollectorDao iSchCollectorDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchCollectorVO findById(String id) {
        return SchCollectorConvert.INSTANCE.convertVO(iSchCollectorDao.findById(id));
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchCollectorVO> search(SearchDTO searchDTO) {
        return SchCollectorConvert.INSTANCE.convertVO(iSchCollectorDao.search(searchDTO));
    }

    /**
     * 新增
     *
     * @param addSchCollectorDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(AddSchCollectorDTO addSchCollectorDTO) {
        SchCollector schCollector = SchCollectorConvert.INSTANCE.convertDO(addSchCollectorDTO);
        return iSchCollectorDao.add(schCollector);
    }

    /**
     * 编辑
     *
     * @param editSchCollectorDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(EditSchCollectorDTO editSchCollectorDTO) {
        SchCollector schCollector = SchCollectorConvert.INSTANCE.convertDO(editSchCollectorDTO);
        return iSchCollectorDao.edit(schCollector);
    }

    /**
     * 批量删除
     *
     * @param deleteSchCollectorDTO 删除参数
     * @return 成功或失败
     */
    @Override
    public int delete(DeleteSchCollectorDTO deleteSchCollectorDTO) {
        return iSchCollectorDao.delete(deleteSchCollectorDTO.getIds());
    }
}

