package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.SchCollectorVersionFileConvert;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.AddSchCollectorVersionFileDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.DeleteSchCollectorVersionFileDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.EditSchCollectorVersionFileDTO;
import com.docus.server.entity.scheduling.management.SchCollectorVersionFile;
import com.docus.server.infrastructure.dao.ISchCollectorVersionFileDao;
import com.docus.server.service.ISchCollectorVersionFileService;
import com.docus.server.vo.scheduling.management.schcollectorversionfile.SchCollectorVersionFileVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 采集器版本列表更新包管理 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Service
public class SchCollectorVersionFileServiceImpl implements ISchCollectorVersionFileService {
    @Resource
    private ISchCollectorVersionFileDao iSchCollectorVersionFileDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchCollectorVersionFileVO findById(String id) {
        return SchCollectorVersionFileConvert.INSTANCE.convertVO(iSchCollectorVersionFileDao.findById(id));
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchCollectorVersionFileVO> search(SearchDTO searchDTO) {
        return SchCollectorVersionFileConvert.INSTANCE.convertVO(iSchCollectorVersionFileDao.search(searchDTO));
    }

    /**
     * 新增
     *
     * @param addSchCollectorVersionFileDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(AddSchCollectorVersionFileDTO addSchCollectorVersionFileDTO) {
        SchCollectorVersionFile schCollectorVersionFile = SchCollectorVersionFileConvert.INSTANCE.convertDO(addSchCollectorVersionFileDTO);
        return iSchCollectorVersionFileDao.add(schCollectorVersionFile);
    }

    /**
     * 编辑
     *
     * @param editSchCollectorVersionFileDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(EditSchCollectorVersionFileDTO editSchCollectorVersionFileDTO) {
        SchCollectorVersionFile schCollectorVersionFile = SchCollectorVersionFileConvert.INSTANCE.convertDO(editSchCollectorVersionFileDTO);
        return iSchCollectorVersionFileDao.edit(schCollectorVersionFile);
    }

    /**
     * 批量删除
     *
     * @param deleteSchCollectorVersionFileDTO 删除参数
     * @return 成功或失败
     */
    @Override
    public int delete(DeleteSchCollectorVersionFileDTO deleteSchCollectorVersionFileDTO) {
        return iSchCollectorVersionFileDao.delete(deleteSchCollectorVersionFileDTO.getIds());
    }
}

